class MachinesController < ApplicationController
  def random
    @machine = Machine.order(Arel.sql("RANDOM()")).first
    render :show
  end

  def index
    @machines = Machine.order("name")
  end

  def show
    @machine = Machine.find(params[:id])
  end

  def new
    @machine = Machine.new
  end

  def create
    @machine = Machine.new(machine_params)

    if @machine.save
      redirect_to @machine
    else
      render :new
    end
  end

  def edit
    @machine = Machine.find(params[:id])
  end

  def update
    @machine = Machine.find(params[:id])

    if @machine.update(machine_params)
      redirect_to @machine
    else
      render :edit
    end
  end

  def destroy
    @machine = Machine.find(params[:id])
    @machine.destroy

    redirect_to machines_path
  end

  private
    def machine_params
      params.require(:machine).permit(:name, :edition)
    end
end
